MP4(3)

NAME

MP4GetTrackEditDwell - Get the dwell value of a track edit segment

SYNTAX

#include <mp4.h>

MP4Duration MP4GetTrackEditDwell(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4EditId editId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

editId
    Specifies the edit segment for which the dwell value is desired.

RETURN VALUES

The dwell value of the edit segment of the track in the mp4 file.

DESCRIPTION

MP4GetTrackEditDwell returns the dwell value of the specified track edit segment. A value of true (1) indicates that during this edit segment the media will be paused; a value of false (0) indicates that during this edit segment the media will be played at its normal rate.

SEE ALSO

MP4(3) MP4SetTrackEditDwell(3)